Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.support
Class AbstractXmlDocument

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument

All Implemented Interfaces:
  XmlDocument, PropertyChangeNotifier

Direct Known Subclasses:
  DefaultXmlDocument, MockRequestXmlDocument, MockResponseXmlDocument, RequestXmlDocument, ResponseXmlDocument, XmlObjectXmlDocument

    public abstract class AbstractXmlDocument

extends java.lang.Object
implements XmlDocument

Abstract base-class for XmlDocument implementations

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`XML_PROPERTY`

Constructor Summary
`AbstractXmlDocument()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`protected void` | `fireXmlChanged(java.lang.String oldValue, java.lang.String newValue)`
`void` | `release()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument
`getTypeSystem, getXml, setXml`

Constructor Detail

### AbstractXmlDocument

    public AbstractXmlDocument()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### fireXmlChanged

    protected void fireXmlChanged(java.lang.String oldValue,
                                  java.lang.String newValue)

### release

    public void release()

  Specified by:
    `release` in interface `XmlDocument`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.